
body {
    margin: 0;
    font-family: century-gothic, sans-serif;
    background-color: #f0f0f0;
}
.header-name {
    font-family: 'Century Gothic', sans-serif;
    font-size: 16px;
}
.hamburger{
    display: none;
}
  #clock {
    font-family: 'Arial', sans-serif;
    font-size: 2em;
  }
.upper-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    
    width: 100%;
    margin-top: 10px;
}
.facImg{
        height: 100%; 
        width: 100%;
}
.lab, .in {
   font-family: "Open Sans", sans-serif;
  font-style: normal;
}

.time-container{
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(45deg, rgb(158, 1, 1), #380009);
    background-size: 300% 300%;
    animation: gradientAnimation 3s ease infinite;
    box-shadow: 0px 2px 6px black;
    /*width: 500px;*/
    height: 100px;
    color: aliceblue;
    text-shadow: 0px 0px 4px black;
    border-radius: 10px;
    font-weight: bold;
    font-size: 20px;
    box-shadow: 0px 0px 6px black; 
    margin-bottom: 20px;
}

.text-container{
    text-align: right;
    padding-right: 20px;
    line-height: 20px; 
}

.pic1{
    width: 80px;
}


[data-tab-content] {
    display: none;
}

.active[data-tab-content]{
    display: block;
}

.tabs{
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
    height: 60px;
    background-color: #800000;
    
}
.tab{
    cursor: pointer;
    padding: 8px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 30px;
    border-top-left-radius: 30px; 
    width: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
    font-size: 15px;
    
}
.tab{
    color: white !important;
}
.tab.active{
    background-color: #f0f0f0;
    color: black !important;
    font-weight: bold;
    
}
.tab.active:hover {
    background-color: #f0f0f0;
    color: black;
}
.tab:hover{
    background-color: #e0cdcd;
    color: black !important; 
}

.first{
    display: flex;
    justify-content: space-between;
}
.second-content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-top: 10px;
    gap: 40px;
}
.middle-content{
    overflow: auto; 
    max-height: 450px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
    overflow: auto;
    border-radius: 10px;
    margin-right: 20px;
    background-color: #fff;
    max-height: 400px;
   
    
}
table {
    border-collapse: collapse; 
    width: 100%;
    box-shadow: 3px 3px 100px black; 
}

.middle-content::-webkit-scrollbar {
    width: 10px;
}

.middle-content::-webkit-scrollbar-thumb {
    background-color: #555;
    border-radius: 3px;
}

.middle-content::-webkit-scrollbar-track {
    background-color: #eee;
    border-radius: 5px;
}
table img {
    width: 90px; 
    height: 90px;
    border-radius: 10px;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5); 
}
table{
    border-collapse:collapse;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5); 
    
}
th{
    width: 150px;
    height: 30px;
    background-color: rgba(128, 0, 0);
    font-size: 15px;
    border-top-right-radius: 3px;
    border-top-left-radius: 3px;
    position: sticky;
    top: 0;
    color: white;
    font-weight: bold;
    
    padding: 8px;

    
}
td{
    width: 150px;
    height: 30px;
    background-color: #ffffff;
    color: black;
    font-size: 13px;
    border-radius: 3px;
    text-align: center;
   
}
.trData{
    font-size: 16px;
}
.tf1{
    padding: 4px;
    border-radius: 10px;
}

.tf1{
    width: 250px;
    height: 30px;
    border: solid maroon 2px;
    border-radius: 10px;
    margin-bottom: 8px;
}
.leftpicture{
    height: 250px;
    border: solid 3px black;
    border-radius: 10px;
    padding-right: 11px;
    padding-top: 8px;
    width: 250px;
}
.photo{
    align-items: center;
    justify-content: center;
    display: flex;
   
}
.facultyPicture{
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: 300px;
    margin-top: 0px;
    border-radius: 20px;
    background-color: white;
    box-shadow: 0px 2px 4px black;
}
.LEFT, .RIGHT{
    display: flex;
   
}
.LEFT{
    align-items: center;
}
.right-header{
    line-height: 10px;
}
.profile{
    border-radius: 50%;
    height: 70px;
    width: 70px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 3px solid black;
    margin-top: .5rem;
}
.cont-form {
 display: flex;
 justify-content: center;
 align-items: center;
 border-radius: 10px;
 width: 820px;
 height: 350px;
 background: linear-gradient(45deg, rgb(158, 1, 1), #380009);
 background-size: 300% 300%;
 animation: gradientAnimation 3s ease infinite;
 box-shadow: 0px 2px 6px black;
}
@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
.form {
    margin: 10px;
}
.header-name{
    line-height: 10px;
}
.checker{
    text-align: end;
}
.date{
    width: 150px;
    height: 37px;
    border-radius: 10px;
}
button {
    cursor: pointer;
}
.fa-eye{
    cursor: pointer;
}

.log-item{
    display: flex;
    justify-content: space-between;
}
.rfid-info, .full-name, .time-in{
    margin-bottom: 80px;
    background-color: maroon;
    color: white;
    height: 30px;
    width: 100px;
    font-size: 20px;
    border-radius: 10%;
    align-items: center;
    display: flex;
    justify-content: center;
}
.left-content{
   padding-left: 10px;
    display: flex;
    flex-direction: column;
   align-items: center;
   justify-content: center;
  
}
.gatelogsinfo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.thname{
    font-size: 20px;
    color: maroon;
    font-weight: bold;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    font-family: Verdana;
    background: linear-gradient(45deg, yellow, rgb(243, 251, 102));
    text-align: center;
    margin: 0;
    width: 150px;
    height: 30px;
    margin-bottom: -3px;
   
   
  
    }

    .err {
        color: red;
        font-weight: bold;
        margin-bottom: 10px;
    }
    .in {
        height: 35px;
        width: 300px;
        font-size: 16px;
        font-weight: bold;
        border: 5px solid yellow;
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
        border-top-right-radius: 10px;
        background-color: rgb(231, 231, 231);
        margin-bottom: 10px;
        padding-left: 10px;
        outline: none;
        }
 
        
        .facultyPicture {
            order: 3; 
        }
        #GateLogsInformation{
            position: absolute;
            top: 60%;
            left: 50%;
            transform: translate(-50%, -50%);
        }   
    